package vqwiki.lex;

// import java.io.BufferedReader;
// import java.io.StringReader;
// import java.text.MessageFormat;

import vqwiki.utils.Utilities;


/**

 * @author Uwe Roth

 * Date: 2005-05-13

 */

public class Title extends ExternalLex {

  private final static String TOPIC = "TOPIC";
  private final static String TITLE = "TITLE";
  private final static String TOPICNAME = "TOPICNAME";
  public String process(String text) {
  	
	setTemplateParameter(TOPIC, text);
	
	text=Utilities.replaceString(text, "&", "&amp;");
	text=Utilities.replaceString(text, "\"", "&quot;");
	text=Utilities.replaceString(text, "<", "&lt;");
	text=Utilities.replaceString(text, ">", "&gt;");

	setTemplateParameter(TITLE, text);
	setTemplateParameter(TOPICNAME,text);
    return "";
  }
  
}

